Subject: Re: recvmmsg() timeout behavior strangeness

From: Chris Friesen <chris.friesen-b7o/[email-masked]>
Date: Wed, 09 Jan 2013 16:33:02 -0600

On 12/23/2012 02:50 PM, Michael Kerrisk wrote:

> If I understand correctly, the *intended* purpose of the timeout
> argument is to set a limit on how long to wait for additional
> datagrams after the arrival of an initial datagram. However, the
> syscall behaves in quite a different way. Instead, it potentially
> blocks forever, regardless of the timeout.

Looking at the code, I think you're correct.

The comments for a2e2725 say the timeout works like for ppoll(), where 
it is "an upper limit on the time for which poll() will block, in 
milliseconds."

I wonder if we could play some games with sk->sk_rcvtimeo to accomplish 
this?

Chris
--
To unsubscribe from this list: send the line "unsubscribe linux-man" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html